org.apache.commons.math3.analysis.function

## Class Signum

- java.lang.Object
- - org.apache.commons.math3.analysis.function.Signum

All Implemented Interfaces:
  UnivariateFunction

    public class Signum
    extends Object
    implements UnivariateFunction

`signum` function.

Since:
  3.0
Version:
  $Id: Signum.java 1364377 2012-07-22 17:39:16Z tn $

### Constructor Summary

Constructors
Constructor and Description
`Signum()`

### Method Summary

Methods
`double` `value(double x)` Compute the value of the function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Signum

    public Signum()

### Method Detail

#### value

    public double value(double x)

Compute the value of the function.

Specified by:
  `value` in interface `UnivariateFunction`
Parameters:
  `x` - Point at which the function value should be computed.
Returns:
  the value of the function.